Package opennlp.tools.formats.leipzig

# Class LeipzigLanguageSampleStream

java.lang.Object
opennlp.tools.formats.leipzig.LeipzigLanguageSampleStream

All Implemented Interfaces:
  `AutoCloseable`, `ObjectStream<LanguageSample>`

public class LeipzigLanguageSampleStream extends Object implements ObjectStream<LanguageSample>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LeipzigLanguageSampleStream(File leipzigFolder, int sentencesPerSample, int samplesPerLanguage)`
  Initializes a `LeipzigLanguageSampleStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LanguageSample`
  `read()`
  Returns the next `ObjectStream` object.
  `void`
  `reset()`
  Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface opennlp.tools.util.ObjectStream

  `close`

- ## Constructor Details

  - ### LeipzigLanguageSampleStream

    public LeipzigLanguageSampleStream(File leipzigFolder, int sentencesPerSample, int samplesPerLanguage) throws IOException
    Initializes a `LeipzigLanguageSampleStream`.
    Parameters:
      `leipzigFolder` - The `directory` which contains files to process.
      `sentencesPerSample` - The number of sentences per sample.
      `samplesPerLanguage` - The number of samples per language to process at maximum.
    Throws:
      `IOException` - Thrown if IO errors occurred.

- ## Method Details

  - ### read

    public LanguageSample read() throws IOException
    Description copied from interface: `ObjectStream`
    Returns the next `ObjectStream` object. Calling this method repeatedly until it returns `null` will return each object from the underlying source exactly once.
    Specified by:
      `read` in interface `ObjectStream<LanguageSample>`
    Returns:
      The next object or `null` to signal that the stream is exhausted.
    Throws:
      `IOException` - Thrown if there is an error during reading.

  - ### reset

    public void reset() throws IOException
    Description copied from interface: `ObjectStream`
    Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required.

    The implementation of this method is optional.

    Specified by:
      `reset` in interface `ObjectStream<LanguageSample>`
    Throws:
      `IOException` - Thrown if there is an error during resetting the stream.